hvn
===

Awesoness, in a terminal cli :

[![oclif](https://img.shields.io/badge/cli-oclif-brightgreen.svg)](https://oclif.io)
[![Version](https://img.shields.io/npm/v/rad.svg)](https://npmjs.org/package/rad)
[![Downloads/week](https://img.shields.io/npm/dw/rad.svg)](https://npmjs.org/package/rad)
[![License](https://img.shields.io/npm/l/rad.svg)](https://github.com/agrublev/hvn/blob/master/package.json)

<!-- toc -->
* [Usage](#usage)
* [Commands](#commands)
<!-- tocstop -->
# Usage
<!-- usage -->
```sh-session
$ npm install -g hvn
$ hvn COMMAND
running command...
$ hvn (-v|--version|version)
hvn/2.1.7 darwin-x64 node-v8.11.3
$ hvn --help [COMMAND]
USAGE
  $ hvn COMMAND
...
```
<!-- usagestop -->
# Commands
<!-- commands -->
* [`hvn command`](#hvn-command)
* [`hvn deploy`](#hvn-deploy)
* [`hvn editor`](#hvn-editor)
* [`hvn hello`](#hvn-hello)
* [`hvn help [COMMAND]`](#hvn-help-command)
* [`hvn helpme`](#hvn-helpme)
* [`hvn howdoi`](#hvn-howdoi)
* [`hvn joke`](#hvn-joke)
* [`hvn run`](#hvn-run)
* [`hvn task`](#hvn-task)
* [`hvn weather`](#hvn-weather)

## `hvn command`

Lets you get information about common commands you'd want to run like find/zip

```
USAGE
  $ hvn command

DESCRIPTION
  ...
  It's amazing
```

_See code: [src/commands/command.js](https://github.com/agrublev/hvn/blob/v2.1.7/src/commands/command.js)_

## `hvn deploy`

hvn command // will run command promp

```
USAGE
  $ hvn deploy

DESCRIPTION
  ...
  An easy way to run any of your npm scripts with yarn
```

_See code: [src/commands/deploy.js](https://github.com/agrublev/hvn/blob/v2.1.7/src/commands/deploy.js)_

## `hvn editor`

Edit any file just like in a real ide!

```
USAGE
  $ hvn editor

DESCRIPTION
  ...
  Just type hvn editor FILE
  Default keybindings
  Quit: Ctrl+Q
  Movement: mouse or arrow keys and PageUp/Down/Home/End
  Shift or click+drag to select, Ctrl/Alt to move faster
  Save: Ctrl+S
  Undo: Ctrl+Z, redo: Ctrl+Y
  List open tabs: Ctrl+L
  Next/previous tab: Ctrl+Alt+PageUp/Down
  Close tab: Ctrl+W
  Find: Ctrl+F
  Go to line: Ctrl+G
  Go to matching bracket: Ctrl+]
  Open: Ctrl+O (or click the filebrowser)
  New file: Ctrl+N
```

_See code: [src/commands/editor.js](https://github.com/agrublev/hvn/blob/v2.1.7/src/commands/editor.js)_

## `hvn hello`

Describe the command here

```
USAGE
  $ hvn hello

OPTIONS
  -n, --name=name  name to print

DESCRIPTION
  ...
  Extra documentation goes here
```

_See code: [src/commands/hello.js](https://github.com/agrublev/hvn/blob/v2.1.7/src/commands/hello.js)_

## `hvn help [COMMAND]`

display help for hvn

```
USAGE
  $ hvn help [COMMAND]

ARGUMENTS
  COMMAND  command to show help for

OPTIONS
  --all  see all commands in CLI
```

_See code: [@oclif/plugin-help](https://github.com/oclif/plugin-help/blob/v2.1.4/src/commands/help.ts)_

## `hvn helpme`

Describe the command here

```
USAGE
  $ hvn helpme

DESCRIPTION
  ...
  Extra documentation goes here
```

_See code: [src/commands/helpme.js](https://github.com/agrublev/hvn/blob/v2.1.7/src/commands/helpme.js)_

## `hvn howdoi`

hvn command // will run command promp

```
USAGE
  $ hvn howdoi

DESCRIPTION
  ...
  An easy way to run any of your npm scripts with yarn
```

_See code: [src/commands/howdoi.js](https://github.com/agrublev/hvn/blob/v2.1.7/src/commands/howdoi.js)_

## `hvn joke`

hvn command // will run command promp

```
USAGE
  $ hvn joke

DESCRIPTION
  ...
  An easy way to run any of your npm scripts with yarn
```

_See code: [src/commands/joke.js](https://github.com/agrublev/hvn/blob/v2.1.7/src/commands/joke.js)_

## `hvn run`

hvn command // will run command promp

```
USAGE
  $ hvn run

DESCRIPTION
  ...
  An easy way to run any of your npm scripts with yarn
```

_See code: [src/commands/run.js](https://github.com/agrublev/hvn/blob/v2.1.7/src/commands/run.js)_

## `hvn task`

hvn command // will run command promp

```
USAGE
  $ hvn task

DESCRIPTION
  ...
  An easy way to run any of your npm scripts with yarn
```

_See code: [src/commands/task.js](https://github.com/agrublev/hvn/blob/v2.1.7/src/commands/task.js)_

## `hvn weather`

hvn command // will run command promp

```
USAGE
  $ hvn weather

DESCRIPTION
  ...
  An easy way to run any of your npm scripts with yarn
```

_See code: [src/commands/weather.js](https://github.com/agrublev/hvn/blob/v2.1.7/src/commands/weather.js)_
<!-- commandsstop -->
